package com.example.appforkids.data

import com.example.appforkids.data.Models.Requests.AuthorizeUserRequest
import com.example.appforkids.data.Models.Requests.RegisterUserRequest
import com.example.appforkids.data.Models.Response.UserResponse
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST
import retrofit2.http.PUT
import retrofit2.http.Path

interface AppForKidsApi {
    @GET("/user")
    suspend fun getUsers():List<UserResponse>

    @PUT("/user/{user_id}/clicks")
    suspend fun registerClick(@Path("user_id") idUser:Int)

    @POST("/authorize/auth")
    suspend fun authorizeUser(@Body authorizeUserRequest: AuthorizeUserRequest):UserResponse?

    @POST("/authorize/register")
    suspend fun registerUser(@Body registerUserRequest: RegisterUserRequest):UserResponse?
}