package com.example.appforkids.data

import kotlinx.serialization.json.Json
import okhttp3.MediaType
import retrofit2.Retrofit
import retrofit2.converter.kotlinx.serialization.asConverterFactory

object HttpClient {
    const val URL = "http://192.168.0.108:8080"
    private val retrofit: Retrofit by lazy {
        Retrofit.Builder()
            .baseUrl(URL)
            .addConverterFactory(Json.asConverterFactory(MediaType.get("application/json; charset=UTF8")))
            .build()
    }
    val retrofitInstance by lazy {
        retrofit.create(AppForKidsApi::class.java)
    }
}